import request from '@/utils/request'

// 查询用户关注列表
export function listUserStar(query) {
  return request({
    url: '/xq/userStar/list',
    method: 'get',
    params: query
  })
}

// 查询用户关注详细
export function getUserStar(id) {
  return request({
    url: '/xq/userStar/' + id,
    method: 'get'
  })
}

// 新增用户关注
export function addUserStar(data) {
  return request({
    url: '/xq/userStar',
    method: 'post',
    data: data
  })
}

// 修改用户关注
export function updateUserStar(data) {
  return request({
    url: '/xq/userStar',
    method: 'put',
    data: data
  })
}

// 删除用户关注
export function delUserStar(id) {
  return request({
    url: '/xq/userStar/' + id,
    method: 'delete'
  })
}
